我试图做一个功能:在4.2.6版的Karaf中安装webconsole,但是在尝试设置Karaf的每台机器上,我都会收到以下错误消息: Error executing command: Error: Error downloading mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.instance/4.2.6 使用Windows或Linux Mint,我无法安装webconsole。我已经卸载并重新安装了Java 1.8.0_241和Mave…

2020年10月16日 0条评论 42点热度 阅读全文

在OSGI项目中使用camel-hdfs2时出现一些错误(基于karaf) 我的环境: Apache Karaf v4.0.4 Apache Camel v2.15.2 Apache Camel HDFS2 v2.15.2 错误是: No FileSystem for scheme: hdfs 错误详情: 2016-07-07 15:59:52,141 | ERROR | pool-14-thread-1 | BlueprintCamelContext | 36 - org.apache.camel.camel-b…

2020年8月31日 0条评论 30点热度 阅读全文

我们正在尝试通过OSGI软件包从Karaf容器中使用kerberos与HDFS连接。我们已经使用apache servicemix bundle 包在karaf中安装了hadoop客户端。 <groupId>org.apache.servicemix.bundles</groupId> <artifactId>org.apache.servicemix.bundles.hadoop-client</artifactId> <version>2.4.1_1&…

2020年4月15日 0条评论 26点热度 阅读全文

我正在将Apache Karaf 4.0.4与Java Oracle 8结合使用,并尝试安装camel-websocket组件。我尝试通过以下方式安装版本2.16.0和2.16.2: feature:install camel-websocket ...而Karaf挂死,再也不会回来。 作为一项工作,我尝试运行: sudo wget -O /opt/apache-karaf-4.0.4/deploy/camel-websocket-2.16.2.jar http://central.maven.org/maven2…

2020年1月22日 0条评论 42点热度 阅读全文

我正在使用apache-camel,这是我第一次将捆绑软件部署到karaf。我想赶上HttpOperationFailedException: <doCatch id="catch-http_request"> <exception>org.apache.camel.http.common.HttpOperationFailedException</exception> <to id="prepareRespAcc_http" uri="bean:com.ngtrend.l…

2019年10月2日 0条评论 41点热度 阅读全文

Java版本 1.8 码头版 9.3.x 尝试:13443 ... TCP_NODELAY设置 连接到(10.61.45.225)端口13443(#0) ALPN,提供http / 1.1 密码选择:ALL:!EXPORT:!EXPORT40:!EXPORT56:!aNULL:!LOW:!RC4:@STRENGTH 成功设置证书验证位置: CAfile:/etc/pki/tls/certs/ca-bundle.crt CApath:无 TLSv1.2(OUT),TLS标头,证书状态(22): TLSv1.2(OUT…

2019年9月26日 0条评论 52点热度 阅读全文

我在OSGi中部署了两个Apache Karaf包。 A和B。我的A OSGi捆绑包用作基本身份验证处理程序。我已经设置了我的安全处理程序,它可以正常工作: <bean id="securityHandler" class="org.eclipse.jetty.security.ConstraintSecurityHandler"> <property name="authenticator"> <bean class="org.eclipse.jetty.security.authe…

2019年9月9日 0条评论 34点热度 阅读全文

在一个项目中,我正在尝试为Apache Karaf建立一个自动构建系统(我需要在Karaf中运行几个命令才能在全新安装中设置工作环境)。 Karaf包含一个设置多个参数的批处理/脚本文件,然后调用实际的Java程序。本质上,我希望能够执行以下操作: java MyProgramClass.class < commandTextFile.txt 但是,当我尝试这样做时,它什么也没做。我的目标是简单地复制karaf.bat文件,对其进行少许修改(如下所示),以制作一个我可以运行的“ karaf-install.b…

2019年7月19日 0条评论 40点热度 阅读全文

我已经加入了一个使用Java 1.7的新项目。他们还使用Apache Karaf。 我的问题是Apache Karaf仅适用于Java 1.8+。该项目很旧,其他开发人员正在使用旧版本的Apache Karaf,该版本不再可用。 从Karaf开始的唯一前提条件是Java SE 8/9/10/11 运行环境。 题 看到我无法从Java 1.7升级,有人知道我可以在哪里获得与Java 1.7兼容的Apache Karaf版本吗?或者如何使Apache Karaf与Java 1.7一起使用? 谢谢 解决方案如下: 大多数…

2019年6月26日 0条评论 29点热度 阅读全文

我正在尝试使用ScriptEngineManager和ScriptEngine用Java执行一些JavaScript代码。我使用Java 8,我正在Karaf OSGi下执行此代码。 我使用的示例在示例Java类中工作正常,但将其打包在 bundle 包中会给我这个错误ScriptEngineManager providers.next(): javax.script.ScriptEngineFactory: Provider jdk.nashorn.api.scripting.NashornScriptEngin…

2019年4月16日 0条评论 51点热度 阅读全文